Bug 230314 - ps2 lockdep report (hibernation)
ps2 lockdep report (hibernation)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks: FCMETA_LOCKDEP
  Show dependency treegraph
 
Reported: 2007-02-28 03:55 EST by Aurelien Bompard
Modified: 2008-05-06 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:14:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtraces when resuming (9.45 KB, text/plain)
2007-02-28 03:55 EST, Aurelien Bompard
no flags Details
Kernel backtrace (3.37 KB, text/plain)
2007-04-24 04:36 EDT, Aurelien Bompard
no flags Details

  None (edit)
Description Aurelien Bompard 2007-02-28 03:55:14 EST
Description of problem:
Since kernel-2.6.20-1.2949.fc7 hibernate seems to work on my HP/Compaq nc6320,
but I get backtraces. I can't copy the one I get when going into hibernate mode,
but I'm attaching what I get when resuming (it's in syslog)

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2949.fc7

How reproducible:
Always

Steps to Reproduce:
1. Choose "Hibernate" in gnome-power-manager
2. Watch the backtrace as it dumps the memory to disk
3. Power on, and watch the backtrace as it resumes
  
Additional info:
The hibernate/resume operation seems to work, but those backtraces may prove
interesting.
Comment 1 Aurelien Bompard 2007-02-28 03:55:14 EST
Created attachment 148900 [details]
Backtraces when resuming
Comment 2 Bill Nottingham 2007-03-02 12:38:34 EST
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.
Comment 3 Dave Jones 2007-04-23 12:34:39 EDT
Do you still get this with the latest builds ?
Comment 4 Aurelien Bompard 2007-04-24 04:36:10 EDT
Created attachment 153333 [details]
Kernel backtrace

Yes, I still have the "problem". Here's the backtrace I'm getting upon
resuming.
uname -r : 2.6.20-1.3094.fc7
But I've found out where this come from. I have an USB-dualPS2 adapter (USB on
one side, two PS2 adapters for mouse and keyboard on the other side). When I
unplug it before going into hibernation, I don't have the backtrace.
Since you may find the backtrace useful, I'm attaching it anyway
Comment 5 Dave Jones 2007-04-24 11:44:54 EDT
ahh, I've seen this report already (if I find the other bug, I'll dupe it).
This has been reported upstream, where it caused some head-scratching.  There
are annotations to suppress that trace (which is a false-positive from lockdep),
but for some unknown reason the annotations don't work in the resume code.
Comment 6 Bug Zapper 2008-04-03 15:17:12 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 21:14:41 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.